%define upstream_name    Log-Any
%define upstream_version 1.040

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# https://bugzilla.redhat.com/show_bug.cgi?id=1178719#c0
Obsoletes:  perl-Log-Any-Adapter < 0.110.0-6

%description
'Log::Any' allows CPAN modules to safely and efficiently log messages,
while letting the application choose (or decline to choose) a logging
mechanism such as 'Log::Dispatch' or 'Log::Log4perl'.

'Log::Any' has a very tiny footprint and no dependencies beyond Perl 5.6,
which makes it appropriate for even small CPAN modules to use. It defaults
to 'null' logging activity, so a module can safely log without worrying
about whether the application has chosen (or will ever choose) a logging
mechanism.

The application, in turn, may choose one or more logging mechanisms via
Log::Any::Adapter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-2.mga6
+ Revision: 1029297
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 1.40.0-1.mga6
+ Revision: 989823
- update to 1.040

* Thu Feb 25 2016 shlomif <shlomif> 1.38.0-1.mga6
+ Revision: 978766
- update to 1.038

* Thu Feb 18 2016 umeabot <umeabot> 1.32.0-3.mga6
+ Revision: 966415
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.32.0-2.mga6
+ Revision: 844437
- Deprecates perl-Log-Any-Adapter

* Tue Jun 23 2015 shlomif <shlomif> 1.32.0-1.mga6
+ Revision: 840885
- New version 1.032

* Sat Oct 18 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 788235
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 744118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 685254
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 527084
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439471
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 369192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 01 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 137551
- update to 0.14
- update to 0.13

* Fri Mar 25 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 77303
- update to 0.12

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 28634
- mageia rebuild
- imported package perl-Log-Any

